ApplicationLauncher.ProgressListenerAdapter (install4j API)
Description: declaration: package: com.install4j.api.launcher, class: ApplicationLauncher, class: ProgressListenerAdapter

# Class ApplicationLauncher.ProgressListenerAdapter

java.lang.Object
com.install4j.api.launcher.ApplicationLauncher.ProgressListenerAdapter

All Implemented Interfaces:
  `ApplicationLauncher.ProgressListener`

Enclosing class:
  `ApplicationLauncher`

public static class ApplicationLauncher.ProgressListenerAdapter extends Object implements ApplicationLauncher.ProgressListener
Empty implementation of `ApplicationLauncher.ProgressListener`. This can be used as a base class if only selected methods should be overridden.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgressListenerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionStarted(String id)`
  A new action has started its execution.
  `void`
  `detailMessage(String message)`
  A detail message was set In the progress interface.
  `void`
  `indeterminateProgress(boolean indeterminateProgress)`
  The indeterminate progress state has changed.
  `void`
  `percentCompleted(int value)`
  The percentage of completion of the current action has changed.
  `void`
  `screenActivated(String id)`
  A new screen has been activated.
  `void`
  `secondaryPercentCompleted(int value)`
  The percentage of completion of a secondary task, like the unpacking of a JAR file, has changed.
  `void`
  `statusMessage(String message)`
  A status message was set in the progress interface.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProgressListenerAdapter

    public ProgressListenerAdapter()

- ## Method Details

  - ### screenActivated

    public void screenActivated(String id)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    A new screen has been activated.
    Specified by:
      `screenActivated` in interface `ApplicationLauncher.ProgressListener`
    Parameters:
      `id` - the ID of the screen

  - ### actionStarted

    public void actionStarted(String id)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    A new action has started its execution.
    Specified by:
      `actionStarted` in interface `ApplicationLauncher.ProgressListener`
    Parameters:
      `id` - the ID of the action

  - ### statusMessage

    public void statusMessage(String message)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    A status message was set in the progress interface.
    Specified by:
      `statusMessage` in interface `ApplicationLauncher.ProgressListener`
    Parameters:
      `message` - the new message.

  - ### detailMessage

    public void detailMessage(String message)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    A detail message was set In the progress interface. This message is shown below the status message.
    Specified by:
      `detailMessage` in interface `ApplicationLauncher.ProgressListener`
    Parameters:
      `message` - the new message.

  - ### percentCompleted

    public void percentCompleted(int value)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    The percentage of completion of the current action has changed.
    Specified by:
      `percentCompleted` in interface `ApplicationLauncher.ProgressListener`
    Parameters:
      `value` - a value between 0 and 100.

  - ### secondaryPercentCompleted

    public void secondaryPercentCompleted(int value)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    The percentage of completion of a secondary task, like the unpacking of a JAR file, has changed.
    Specified by:
      `secondaryPercentCompleted` in interface `ApplicationLauncher.ProgressListener`
    Parameters:
      `value` - a value between 0 and 100.

  - ### indeterminateProgress

    public void indeterminateProgress(boolean indeterminateProgress)
    Description copied from interface: `ApplicationLauncher.ProgressListener`
    The indeterminate progress state has changed.
    Specified by:
      `indeterminateProgress` in interface `ApplicationLauncher.ProgressListener`